/* $Id: espda_convol_synth.h 2017-02-25 14:15:10 jonaydas $
 *
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Author: jonaydas $
 * $Date: 2017-02-25 14:15:10 +0000 (sat, 24 feb 2017) $
 * $Revision: 198015 $
 * $Name:  $
 */

#ifndef ESPDA_CONVOL_SYNTH_H
#define ESPDA_CONVOL_SYNTH_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <gsl/gsl_errno.h>
#include <gsl/gsl_spline.h>
#include <string.h>

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code espda_convol_comp(cpl_array     *wobs,
 			                     cpl_array     *fsyn,
			                     cpl_array     *fcon,
                                  double        vins,
                                  double        vrot,
                                  double        vmac,
                                  double        teff);

cpl_error_code espda_convol_prof(cpl_array     *xobs,
		                         cpl_array     **xk,
		                         cpl_array     **yk,
								 double         vbr,
								 double        teff,
								 double        wmid,
		                         int            ibr);

#endif
