/*
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Id: espda_wrap.h 161538 2014-05-22 13:56:10Z gcupani $
 * $Author: gcupani $
 * $Date: 2014-05-22 15:56:10 +0200 (Thu, 22 May 2014) $
 * $Revision: 161538 $
 */

#ifndef ESPDA_WRAP_H
#define ESPDA_WRAP_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include "espda_dfs.h"
#include "espda_fit.h"
#include "espda_interp.h"
#include "espda_model.h"
#include "espda_print.h"
#include "espda_split.h"
#include <time.h>

/*-----------------------------------------------------------------------------
                                       Prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code espda_wrap_check (cpl_frameset     *,
                                 cpl_recipeconfig *,
                                 const char       *);

cpl_error_code espda_wrap_line  (cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 double,
                                 int,
                                 int,
                                 int,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table       **,
                                 cpl_table       **,
                                 cpl_table       **,
                                 cpl_array       **,
                                 cpl_array       **);

cpl_error_code espda_wrap_line_2(cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table        *,
                                 double,
                                 int,
                                 int,
                                 int,
                                 cpl_table        *,
                                 cpl_table        *,
                                 cpl_table       **,
                                 cpl_table       **,
                                 cpl_table       **,
                                 cpl_array       **,
                                 cpl_array       **);

#endif
